Last Comment Bug 565037 - IDN TLD whitelisting meta-bug, May 2010
: IDN TLD whitelisting meta-bug, May 2010
Status: VERIFIED FIXED
: verified1.9.2, verified1.9.3
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: Trunk
: All All
-- normal with 1 vote (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks: 563309 564240 565028 565033
  Show dependency treegraph
 
Reported: 2010-05-11 06:03 PDT by Gervase Markham [:gerv]
Modified: 2010-08-07 12:57 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.11-fixed


Attachments
Patch v.1 (1.64 KB, patch)
2010-05-11 06:11 PDT, Gervase Markham [:gerv]
dveditz: approval1.9.2.4+
mbeltzner: approval1.9.1.11+
Details | Diff | Splinter Review

Description User image Gervase Markham [:gerv] 2010-05-11 06:03:12 PDT
There's a number of TLDs to be added to the IDN whitelist; doing them all in separate bugs is just a recipe for patch clashes and bureaucracy.

Gerv
Comment 1 User image Gervase Markham [:gerv] 2010-05-11 06:11:47 PDT
Created attachment 444643 [details] [diff] [review]
Patch v.1
Comment 2 User image Gervase Markham [:gerv] 2010-05-11 07:14:58 PDT
http://hg.mozilla.org/mozilla-central/rev/250c2418be7a

Gerv
Comment 3 User image Gervase Markham [:gerv] 2010-05-11 07:15:51 PDT
Comment on attachment 444643 [details] [diff] [review]
Patch v.1

Requesting approvals for next point release; if it's too late, feel free to push to next-release-but-one.

Gerv
Comment 4 User image Mike Beltzner [:beltzner, not reading bugmail] 2010-05-21 13:22:08 PDT
Comment on attachment 444643 [details] [diff] [review]
Patch v.1

a=beltzner for mozilla-1.9.1 and mozilla-1.9.2 default
Comment 6 User image christian 2010-06-10 16:25:50 PDT
This was approved for GECKO1924_20100413_RELBRANCH on mozilla-1.9.2 as well, so that we can pick the fix up if we do build #7.
Comment 7 User image Kevin Brosnan 2010-06-18 17:44:37 PDT
Verified

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.4) Gecko/20100611
Firefox/3.6.4

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a6pre) Gecko/20100617
Minefield/3.7a6pre

Note You need to log in before you can comment on or make changes to this bug.